| TagLib 1.13 |  |

Public Member Functions | List of all members
TagLib::XM::File Class Reference

`#include <xmfile.h>`

Inheritance diagram for TagLib::XM::File:
[legend]
Collaboration diagram for TagLib::XM::File:
[legend]

## Public Member Functions
| File (FileName file, bool readProperties=true, AudioProperties::ReadStyle propertiesStyle=AudioProperties::Average)
| File (IOStream *stream, bool readProperties=true, AudioProperties::ReadStyle propertiesStyle=AudioProperties::Average)
virtual | ~File ()
Mod::Tag * | tag () const
PropertyMap | properties () const
PropertyMap | setProperties (const PropertyMap &)
XM::Properties * | audioProperties () const
bool | save ()
Public Member Functions inherited from TagLib::File
virtual | ~File ()
FileName | name () const
virtual Tag * | tag () const =0
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual AudioProperties * | audioProperties () const =0
virtual bool | save ()=0
ByteVector | readBlock (unsigned long length)
void | writeBlock (const ByteVector &data)
long | find (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
long | rfind (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, unsigned long start=0, unsigned long replace=0)
void | removeBlock (unsigned long start=0, unsigned long length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (long offset, Position p=Beginning)
void | clear ()
long | tell () const
long | length ()

## Additional Inherited Members
Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Static Public Member Functions inherited from TagLib::File
static TAGLIB_DEPRECATED bool | isReadable (const char *file)
static TAGLIB_DEPRECATED bool | isWritable (const char *name)
Protected Member Functions inherited from TagLib::Mod::FileBase
| FileBase (FileName file)
| FileBase (IOStream *stream)
void | writeString (const String &s, unsigned long size, char padding=0)
void | writeByte (unsigned char byte)
void | writeU16L (unsigned short number)
void | writeU32L (unsigned long number)
void | writeU16B (unsigned short number)
void | writeU32B (unsigned long number)
bool | readString (String &s, unsigned long size)
bool | readByte (unsigned char &byte)
bool | readU16L (unsigned short &number)
bool | readU32L (unsigned long &number)
bool | readU16B (unsigned short &number)
bool | readU32B (unsigned long &number)
Protected Member Functions inherited from TagLib::File
| File (FileName file)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (long length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Constructor & Destructor Documentation

## ◆ File() [1/2]

TagLib::XM::File::File | ( | FileName | file,
|  | bool | readProperties = `true`,
|  | AudioProperties::ReadStyle | propertiesStyle = `AudioProperties::Average`
| ) |  |

Constructs an Extended Module file from file.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.

## ◆ File() [2/2]

TagLib::XM::File::File | ( | IOStream * | stream,
|  | bool | readProperties = `true`,
|  | AudioProperties::ReadStyle | propertiesStyle = `AudioProperties::Average`
| ) |  |

Constructs an Extended Module file from stream.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.

## ◆ ~File()

virtual TagLib::XM::File::~File | ( |  | ) |
| virtual

Destroys this instance of the File.

Reimplemented from TagLib::File.

## Member Function Documentation

## ◆ audioProperties()

XM::Properties * TagLib::XM::File::audioProperties | ( |  | ) | const
| virtual

Returns the XM::Properties for this file. If no audio properties were read then this will return a null pointer.

Implements TagLib::File.

## ◆ properties()

PropertyMap TagLib::XM::File::properties | ( |  | ) | const

Implements the unified property interface – export function. Forwards to Mod::Tag::properties().

## ◆ save()

bool TagLib::XM::File::save | ( |  | ) |
| virtual

Save the file. This is the same as calling save(AllTags);

Note
  Saving Extended Module tags is not supported.

Implements TagLib::File.

## ◆ setProperties()

PropertyMap TagLib::XM::File::setProperties | ( | const PropertyMap & |  | ) |

Implements the unified property interface – import function. Forwards to Mod::Tag::setProperties().

## ◆ tag()

Mod::Tag * TagLib::XM::File::tag | ( |  | ) | const
| virtual

Returns a pointer to this file's tag. This should be reimplemented in the concrete subclasses.

Implements TagLib::File.

The documentation for this class was generated from the following file:

- xmfile.h